Commit 14ad51e0 authored by unknown's avatar unknown
Browse files

Merge mysql.com:/users/lthalmann/bkroot/mysql-4.1-rpl

into  mysql.com:/users/lthalmann/bk/MERGE/mysql-4.1-merge


BitKeeper/etc/ignore:
  auto-union
mysql-test/r/myisam.result:
  Auto merged
mysql-test/t/myisam.test:
  Auto merged
sql/sql_select.cc:
  Auto merged
parents 82a72ee1 4d147f32
Loading
Loading
Loading
Loading
+1 −0
Original line number Diff line number Diff line
@@ -525,6 +525,7 @@ mysql-4.1.8-win-src.zip
mysql-max-4.0.2-alpha-pc-linux-gnu-i686.tar.gz
mysql-test/gmon.out
mysql-test/install_test_db
mysql-test/mtr
mysql-test/mysql-test-run
mysql-test/mysql-test-run.log
mysql-test/mysql_test_run_new
+3 −9
Original line number Diff line number Diff line
#!/bin/sh

if ! test -f sql/mysqld.cc
if test ! -f sql/mysqld.cc
then
  echo "You must run this script from the MySQL top-level directory"
  exit 1
@@ -109,12 +109,6 @@ fi
# (returns 0 if finds lines)
if ccache -V > /dev/null 2>&1
then
  if ! (echo "$CC" | grep "ccache" > /dev/null)
  then
    CC="ccache $CC"
  fi
  if ! (echo "$CXX" | grep "ccache" > /dev/null)
  then
    CXX="ccache $CXX"
  fi
  echo "$CC" | grep "ccache" > /dev/null || CC="ccache $CC"
  echo "$CXX" | grep "ccache" > /dev/null || CXX="ccache $CXX"
fi
+179 −176
Original line number Diff line number Diff line
@@ -3,8 +3,8 @@
# Check cpu of current machine and find the
# best compiler optimization flags for gcc
#
#

check_cpu () {
  if test -r /proc/cpuinfo ; then
    # on Linux (and others?) we can get detailed CPU information out of /proc
    cpuinfo="cat /proc/cpuinfo"
@@ -114,7 +114,7 @@ esac


  if test -z "$cpu_arg"; then
  echo "BUILD/check-cpu: Oops, could not find out what kind of cpu this machine is using."
    echo "BUILD/check-cpu: Oops, could not find out what kind of cpu this machine is using." >&2
    check_cpu_cflags=""
    return
  fi
@@ -167,16 +167,17 @@ esac
  touch __test.c

  while [ "$cpu_arg" ] ; do
  echo -n testing $cpu_arg "... "
    # FIXME: echo -n isn't portable - see contortions autoconf goes through
    echo -n testing $cpu_arg "... " >&2
          
    # compile check
    check_cpu_cflags=`eval echo $check_cpu_args`
    if $cc -c $check_cpu_cflags __test.c 2>/dev/null; then
	  echo ok
            echo ok >&2
        break;
    fi

  echo failed
    echo failed >&2
    check_cpu_cflags=""

    # if compile failed: check whether it supports a predecessor of this CPU
@@ -202,4 +203,6 @@ while [ "$cpu_arg" ] ; do
  done

  rm __test.*
}

check_cpu
+19 −0
Original line number Diff line number Diff line
#! /bin/sh

path=`dirname $0`
. "$path/SETUP.sh"

extra_configs="$max_configs --with-ndb-test --with-ndb-ccflags='-DERROR_INSERT'"
if [ "$full_debug" ]
then
    extra_flags="$debug_cflags"
    c_warnings="$c_warnings $debug_extra_warnings"
    cxx_warnings="$cxx_warnings $debug_extra_warnings"
    extra_configs="$debug_configs $extra_configs"
else
    extra_flags="$fast_cflags"
fi

extra_flags="$extra_flags $max_cflags -g"

. "$path/FINISH.sh"
+11 −5
Original line number Diff line number Diff line
@@ -783,7 +783,7 @@ static int get_options(int *argc, char ***argv)
static void DBerror(MYSQL *mysql, const char *when)
{
  DBUG_ENTER("DBerror");
  my_printf_error(0,"Got error: %d: %s %s", MYF(0),
  fprintf(stderr, "%s: Got error: %d: %s %s\n", my_progname,
          mysql_errno(mysql), mysql_error(mysql), when);
  safe_exit(EX_MYSQLERR);
  DBUG_VOID_RETURN;
@@ -811,8 +811,8 @@ static int mysql_query_with_error_report(MYSQL *mysql_con, MYSQL_RES **res,
  if (mysql_query(mysql_con, query) ||
      (res && !((*res)= mysql_store_result(mysql_con))))
  {
    my_printf_error(0, "%s: Couldn't execute '%s': %s (%d)",
                    MYF(0), my_progname, query,
    fprintf(stderr, "%s: Couldn't execute '%s': %s (%d)\n",
            my_progname, query,
            mysql_error(mysql_con), mysql_errno(mysql_con));
    return 1;
  }
@@ -1705,13 +1705,19 @@ static void dumpTable(uint numFields, char *table)
      check_io(md_result_file);
    }
    if (mysql_query_with_error_report(sock, 0, query))
    {
      DBerror(sock, "when retrieving data from server");
      goto err;
    }
    if (quick)
      res=mysql_use_result(sock);
    else
      res=mysql_store_result(sock);
    if (!res)
    {
      DBerror(sock, "when retrieving data from server");
      goto err;
    }
    if (verbose)
      fprintf(stderr, "-- Retrieving rows...\n");
    if (mysql_num_fields(res) != numFields)
Loading